using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PetljaTakmicenje
{
    class Program
    {

        static int BinarnaPretraga(int[] a, int l, int d, int m)
        {
            int s = l + (d - l) / 2;
            if (m == a[s])
            {
                if (s > a.Length / 2)
                {
                    while (m == a[s - 1])
                    {
                        s--;
                    }
                }
                else
                {
                    while (m == a[s])
                    {
                        s++;
                    }
                }
                return s;
            }
            if (s > 0 && m > a[s - 1] && m < a[s])
            {
                return s;
            }
            if (s + 1 < a.Length && m > a[s] && m < a[s + 1])
            {
                return s + 1;
            }
            if (m > a[s])
            {
                return BinarnaPretraga(a, s + 1, d, m);
            }
            else
            {
                return BinarnaPretraga(a, l, s - 1, m);
            }
        }

        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]), q = int.Parse(s[1]);
            int[] a = new int[n];
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            Array.Sort(a);
            s = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
            {
                int m = int.Parse(s[i]);
                if (m == a[n / 2])
                {
                    Console.WriteLine(0);
                }
                else if (m < a[0])
                {
                    Console.WriteLine(n + 1);
                }
                else if (m > a[n - 1])
                {
                    Console.WriteLine(n);
                }
                else
                {
                    m = 2 * BinarnaPretraga(a, 0, n - 1, m);
                    if (n < m)
                    {
                        Console.WriteLine(m - n);
                    }
                    else
                    {
                        Console.WriteLine(n - m + 1);
                    }
                }
            }
        }
    }
}